Bug 1599744 - Add ARC to cross-binutils
Summary: Add ARC to cross-binutils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cross-binutils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 13:16 UTC by Alexey Brodkin
Modified: 2018-07-31 18:01 UTC (History)
4 users (show)

Fixed In Version: cross-binutils-2.30-5.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 18:01:11 UTC
Type: Bug


Attachments (Terms of Use)
Add support of ARC architecture in cross-binutils (2.27 KB, patch)
2018-07-10 13:16 UTC, Alexey Brodkin
no flags Details | Diff

Description Alexey Brodkin 2018-07-10 13:16:17 UTC
Created attachment 1457817 [details]
Add support of ARC architecture in cross-binutils

Quite some time ago ARC port of Binutils was significantly revamped and now is perfectly usable from vanilla 2.30 release. 

Attached patch was build-tested in COPR here: https://copr.fedorainfracloud.org/coprs/abrodkin/ARC-Cross-Tools/package/cross-binutils/

Once cross Binutils for ARC are available we'll be able to add cross GCC for ARC as well [preferably in GCC 8.1.0, so bump of cross-gcc is much appreciated, see https://bugzilla.redhat.com/show_bug.cgi?id=1580076].

Comment 1 Fedora Update System 2018-07-13 09:03:37 UTC
cross-binutils-2.30-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4361393087

Comment 2 Fedora Update System 2018-07-31 18:01:11 UTC
cross-binutils-2.30-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.